<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: view.App Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classview_1_1_app.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classview_1_1_app-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">view.App Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for view.App:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classview_1_1_app.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2a5faf1c15c2ad00e6ef02cf08c0103a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#a2a5faf1c15c2ad00e6ef02cf08c0103a">__init__</a> (self)</td></tr>
<tr class="separator:a2a5faf1c15c2ad00e6ef02cf08c0103a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e98e7be06ca449d73c5d2660af1f13"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#a75e98e7be06ca449d73c5d2660af1f13">run</a> (self)</td></tr>
<tr class="separator:a75e98e7be06ca449d73c5d2660af1f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aefcc42911025a26cf75a8f6d86f9bb5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#aefcc42911025a26cf75a8f6d86f9bb5b">app</a></td></tr>
<tr class="separator:aefcc42911025a26cf75a8f6d86f9bb5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2feed3c0d84d710413ed275f50a12ff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#af2feed3c0d84d710413ed275f50a12ff">title</a></td></tr>
<tr class="separator:af2feed3c0d84d710413ed275f50a12ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a107ac87eb6b8e6c65416174ac92ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#a74a107ac87eb6b8e6c65416174ac92ab">database</a></td></tr>
<tr class="separator:a74a107ac87eb6b8e6c65416174ac92ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd413c2f4fc339660b95ec66fc083b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classview_1_1_app.html#a1fd413c2f4fc339660b95ec66fc083b0">table_widget</a></td></tr>
<tr class="separator:a1fd413c2f4fc339660b95ec66fc083b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2a5faf1c15c2ad00e6ef02cf08c0103a" name="a2a5faf1c15c2ad00e6ef02cf08c0103a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a5faf1c15c2ad00e6ef02cf08c0103a">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def view.App.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Create main window. </pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a75e98e7be06ca449d73c5d2660af1f13" name="a75e98e7be06ca449d73c5d2660af1f13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75e98e7be06ca449d73c5d2660af1f13">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def view.App.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aefcc42911025a26cf75a8f6d86f9bb5b" name="aefcc42911025a26cf75a8f6d86f9bb5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefcc42911025a26cf75a8f6d86f9bb5b">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.App.app</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74a107ac87eb6b8e6c65416174ac92ab" name="a74a107ac87eb6b8e6c65416174ac92ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74a107ac87eb6b8e6c65416174ac92ab">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.App.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1fd413c2f4fc339660b95ec66fc083b0" name="a1fd413c2f4fc339660b95ec66fc083b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fd413c2f4fc339660b95ec66fc083b0">&#9670;&nbsp;</a></span>table_widget</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.App.table_widget</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2feed3c0d84d710413ed275f50a12ff" name="af2feed3c0d84d710413ed275f50a12ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2feed3c0d84d710413ed275f50a12ff">&#9670;&nbsp;</a></span>title</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">view.App.title</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="view_8py.html">view.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceview.html">view</a></li><li class="navelem"><a class="el" href="classview_1_1_app.html">App</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
